Package org.eclipse.rdf4j.common.webapp.navigation

## Interface NavigationNode

- All Superinterfaces:
    `Cloneable`
  All Known Implementing Classes:
    `AbstractNavigationNode`, `Group`, `NavigationModel`, `NavigationNodeBase`, `View`

      public interface NavigationNode
      extends Cloneable

  NavigationNode represents a node in a NavigationModel.
  Author:
    Herko ter Horst

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDepth()` | Get the depth of this node in the hierarchy.
    `String` | `getI18n()` |
    `String` | `getI18nPrefix()` |
    `String` | `getI18nSeparator()` |
    `String` | `getI18nSuffix()` |
    `String` | `getIcon()` |
    `String` | `getIconPrefix()` |
    `String` | `getIconSeparator()` |
    `String` | `getIconSuffix()` |
    `String` | `getId()` | Get the ID of the node.
    `NavigationNode` | `getParent()` | Get the parent node of this node.
    `String` | `getPath()` |
    `String` | `getPathPrefix()` |
    `String` | `getPathSeparator()` |
    `String` | `getViewSuffix()` |
    `boolean` | `isEnabled()` | Is the node enabled/active?
    `boolean` | `isHidden()` | Is the node hidden?
    `boolean` | `isParent​(NavigationNode node)` | Is this node a parent of the specified node?
    `void` | `setEnabled​(boolean enabled)` | Set the enabled status of the node.
    `void` | `setHidden​(boolean hidden)` | Set the hidden status of the node.
    `void` | `setI18n​(String i18n)` |
    `void` | `setIcon​(String icon)` |
    `void` | `setParent​(NavigationNode parent)` | Set the parent of this node.
    `void` | `setPath​(String path)` |
    `void` | `setViewSuffix​(String suffix)` |

- - ### Method Detail

    - #### getId

          String getId()

      Get the ID of the node.
      Returns:
        the ID of the node

    - #### isHidden

          boolean isHidden()

      Is the node hidden?
      Returns:
        true if the node is hidden, false otherwise

    - #### setHidden

          void setHidden​(boolean hidden)

      Set the hidden status of the node.
      Parameters:
        `hidden` - the new hidden status of the node

    - #### isEnabled

          boolean isEnabled()

      Is the node enabled/active?
      Returns:
        true if the node is enabled, false otherwise

    - #### setEnabled

          void setEnabled​(boolean enabled)

      Set the enabled status of the node.
      Parameters:
        `enabled` - the new enabled status of the node

    - #### getParent

          NavigationNode getParent()

      Get the parent node of this node.
      Returns:
        the parent node of this node, or null if this node is the root NavigationModel

    - #### setParent

          void setParent​(NavigationNode parent)

      Set the parent of this node.
      Parameters:
        `parent` - the new parent of this node

    - #### isParent

          boolean isParent​(NavigationNode node)

      Is this node a parent of the specified node?
      Parameters:
        `node` - the node to check
      Returns:
        true if this node is a direct or indirect parent of the specified node, false otherwise

    - #### getDepth

          int getDepth()

      Get the depth of this node in the hierarchy. The root NavigationModel has depth 0, all other nodes have a depth equal to the depth of their parent + 1.
      Returns:
        the depth of the node in the hierarhcy

    - #### getPathPrefix

          String getPathPrefix()

    - #### getPathSeparator

          String getPathSeparator()

    - #### getPath

          String getPath()

    - #### setPath

          void setPath​(String path)

    - #### getIconPrefix

          String getIconPrefix()

    - #### getIconSeparator

          String getIconSeparator()

    - #### getIconSuffix

          String getIconSuffix()

    - #### getIcon

          String getIcon()

    - #### setIcon

          void setIcon​(String icon)

    - #### getI18nPrefix

          String getI18nPrefix()

    - #### getI18nSeparator

          String getI18nSeparator()

    - #### getI18nSuffix

          String getI18nSuffix()

    - #### getI18n

          String getI18n()

    - #### setI18n

          void setI18n​(String i18n)

    - #### getViewSuffix

          String getViewSuffix()

    - #### setViewSuffix

          void setViewSuffix​(String suffix)